Pale Moon 27.9.4 for Snow Leopard

Support and discussions for the Apple Mac OSX builds of Pale Moon

Moderator: satrow

Forum rules
Important note:
The Mac OSX version of Pale Moon is still very much in development. Your assistance in bringing this build to fruition is greatly appreciated, but you can expect there to be bugs and problems for a while yet!

Any specific bugs you find that don't have their own topic yet: please make a new topic; one bug per topic please to keep things organized.

Please also note that these builds are currently created by wicknix and Moonchild will likely not be able to provide insight or assistance due to lack of Mac hardware and OS/build knowledge for Mac.
User avatar
wicknix
Fanatic
Fanatic
Posts: 105
Joined: 2018-03-26, 04:47
Location: Wisconsin, USA

Pale Moon 27.9.4 for Snow Leopard

Unread post by wicknix » 2018-07-20, 01:54

Silence is golden, but duct tape is silver...

User avatar
snowmoon
Apollo supporter
Apollo supporter
Posts: 41
Joined: 2016-05-25, 14:32
Location: Europe

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by snowmoon » 2018-07-21, 10:13

No anomalies! (besides the few known quirks, which will hopefully be resolved in PM 28 UXP?!). Thanks, as always, wicknix for keeping these SL versions coming, great service :thumbup:

In Moonchild's announcement for the mid-august milestone he expresses hope for the start of official PM for OS X, thats pretty exciting! This will bring broader recognition, I guess.

User avatar
Snow Leopard Lover
Newbie
Newbie
Posts: 3
Joined: 2018-06-02, 07:09

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by Snow Leopard Lover » 2018-07-23, 07:29

Again: Thank You! :thumbup:

verdant
Hobby Astronomer
Hobby Astronomer
Posts: 20
Joined: 2017-10-24, 20:29

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by verdant » 2018-07-24, 18:40

Many thanks for your continued support of Pale Moon for OS X Snow Leopard! :D

User avatar
WinterClaws
Newbie
Newbie
Posts: 3
Joined: 2018-07-30, 06:01

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by WinterClaws » 2018-07-30, 06:11

It took me a little while to find my way to this forum, but now that I found it, I registered specifically to give a huge "thank you" to wicknix for these SL builds (echoing my similar message on MacRumors), and to the Pale Moon developer(s) also. It was a bit disheartening to hear that v28.x SL builds will no longer be made but still...v27.x should endure fine for me. Suffice to say I am an absolutely rabid, immovable Snow Leopard fan so this app is a wonderful help and I very much appreciate it.

In fact, bit of a separate note but Pale Moon has proven so great in my using it that I have also been convinced to try out the XP version (my "other" OS which I will never budge from) and make it my new primary browser with all my work.

Again, a big thank you.

User avatar
willw77
New to the forum
New to the forum
Posts: 1
Joined: 2018-07-31, 03:03

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by willw77 » 2018-07-31, 03:06

I would love to use this but when I download I get a message stating this application isn't supported by my Mac. I am running 10.6.8 snow leopard. What is causing this?

User avatar
wicknix
Fanatic
Fanatic
Posts: 105
Joined: 2018-03-26, 04:47
Location: Wisconsin, USA

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by wicknix » 2018-07-31, 16:18

I'm guessing you're trying to install it on a 32 bit machine. Currently these SL builds only work on 64 bit core 2 duo machines.

Cheers
Silence is golden, but duct tape is silver...

User avatar
sebma
Moongazer
Moongazer
Posts: 11
Joined: 2018-07-26, 09:09

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by sebma » 2018-08-01, 11:59

@wicknix Hi, can you please give your mozconfig file content ?

User avatar
SpockFan02
Lunatic
Lunatic
Posts: 460
Joined: 2017-09-24, 16:35

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by SpockFan02 » 2018-08-01, 19:39

You can navigate to about:buildconfig to see which configure arguments were used to produce a build, FYI.

MSMunich
Newbie
Newbie
Posts: 3
Joined: 2018-03-14, 10:10

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by MSMunich » 2018-09-05, 16:33

Hopefully you continue creating further versions for people using Snow Leopard. Pale Moon is the only browser running quite smoothly on older macs that work with MacOS 10.6.8. Snow Leopard as those are the only ones that also run programs that need Rosetta support......
Last edited by MSMunich on 2018-09-05, 16:33, edited 1 time in total.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 23640
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by Moonchild » 2018-09-06, 05:55

MSMunich wrote:Hopefully you continue creating further versions for people using Snow Leopard. Pale Moon is the only browser running quite smoothly on older macs that work with MacOS 10.6.8. Snow Leopard as those are the only ones that also run programs that need Rosetta support......
Very unlikely. Pale Moon 27 is no longer supported, and Pale Moon 28 does not run on Snow Leopard.
It doesn't mean that the older version will suddenly stop working, of course, but the browser will be in the same situation as the OS version is and not receive further updates.
Last edited by Moonchild on 2018-09-06, 05:55, edited 1 time in total.
Improving Mozilla code: You know you're on the right track with code changes when you spend the majority of your time deleting code.

"If you want to build a better world for yourself, you have to be willing to build one for everybody." -- Coyote Osborne
"I'm afraid you have me mistaken for someone who can be shamed by a child." -- Quillspawn

User avatar
WinterClaws
Newbie
Newbie
Posts: 3
Joined: 2018-07-30, 06:01

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by WinterClaws » 2018-09-07, 06:34

Thank you even for v27...it runs very nicely and anyway, for myself I think it will last perfectly well. (Obviously as someone who sticks with Snow Leopard, and XP for that matter, latest versions are not a huge deal for me.)

This may sound semi-insane, but...are there versions older than 27 that will run on Snow Leopard? More specifically, I think it would be the v25's...basically any that use the previous Gecko engine instead. I was fortunately able to find one in the archive for WinXP, and I realize the odds are perhaps very low that anyone bothered to compile one for Mac let alone Snow Leopard, but I just thought I'd ask. (I'm an Opera veteran/refugee and a big Gecko fan as well...)

User avatar
SpockFan02
Lunatic
Lunatic
Posts: 460
Joined: 2017-09-24, 16:35

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by SpockFan02 » 2018-09-08, 07:51

WinterClaws wrote:...This may sound semi-insane, but...are there versions older than 27 that will run on Snow Leopard? More specifically, I think it would be the v25's...
Go to the fifth page on this (Pale Moon for Mac OSX) board, it looks like you can still download BitVapor's 25.x builds.

User avatar
WinterClaws
Newbie
Newbie
Posts: 3
Joined: 2018-07-30, 06:01

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by WinterClaws » 2018-09-09, 14:09

SpockFan02 wrote:Go to the fifth page on this (Pale Moon for Mac OSX) board, it looks like you can still download BitVapor's 25.x builds.
Whoa! Thank you so much! I didn't hold out much hope but am amazed and grateful...never thought to just go back through old threads. I always like to have alternate-engines in my browser stable, in cases where the odd site or two out there refuse to play nice with one of them. This is really great, thanks again.

User avatar
dottormorte
New to the forum
New to the forum
Posts: 1
Joined: 2018-10-02, 05:20

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by dottormorte » 2018-10-02, 05:32

Sorry to disturb but reCAPTCHA doesn't work for me; shall i change something in the config?
MacOS 1.6.8 (yes, i'm old...).
Thanks.

retroburrower
Hobby Astronomer
Hobby Astronomer
Posts: 15
Joined: 2017-09-11, 01:48

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by retroburrower » 2018-10-06, 19:38

When logging into a library wifi using 27.0.3, I got the attached error. Yet using the latest version, I wind up in an endless loop at
the firewall authentication stage: https://wifiauth.hdpl.org:1003/fgtauth?0207427a09eecb82
However, it still logged me in to be able to write this post.
--
This Connection is Untrusted

You have asked Pale Moon to connect securely to forum.palemoon.org, but we can't confirm that your connection is secure.

Normally, when you try to connect securely, sites will present trusted identification to prove that you are going to the right place. However, this site's identity can't be verified.
What Should I Do?

If you usually connect to this site without problems, this error could mean that someone is trying to impersonate the site, and you shouldn't continue.

forum.palemoon.org uses an invalid security certificate.

The certificate is only valid for the following names:
*.hdpl.org, hdpl.org, pvl-it-fw-01.hdpl.org, pvl-it-fw-02.hdpl.org, hpk-dc-fw-01.hdpl.org, fortianalyzer.hdpl.org, fg-pvl.hdpl.org

(Error code: ssl_error_bad_cert_domain)

User avatar
wicknix
Fanatic
Fanatic
Posts: 105
Joined: 2018-03-26, 04:47
Location: Wisconsin, USA

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by wicknix » 2018-10-12, 23:16

@dottormorte You could try this fix https://forum.palemoon.org/viewtopic.php?f=3&t=19044&start=100#p149450

@retroburrower Sounds to me like it's a limitation of the libraries wifi network. Does it happen on other wifi networks?

Cheers
Silence is golden, but duct tape is silver...

retroburrower
Hobby Astronomer
Hobby Astronomer
Posts: 15
Joined: 2017-09-11, 01:48

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by retroburrower » 2018-10-19, 17:39

wicknix wrote: @retroburrower Sounds to me like it's a limitation of the libraries wifi network. Does it happen on other wifi networks?
Cheers
Nope.

User avatar
Bushman
New to the forum
New to the forum
Posts: 2
Joined: 2018-11-27, 10:27

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by Bushman » 2018-11-27, 10:32

Will there be a 32bit version in the near future?

User avatar
wicknix
Fanatic
Fanatic
Posts: 105
Joined: 2018-03-26, 04:47
Location: Wisconsin, USA

Re: Pale Moon 27.9.4 for Snow Leopard

Unread post by wicknix » 2018-12-19, 00:26

Bushman » Tue, 27 Nov 2018, 04:32
Will there be a 32bit version in the near future?
Better late than never. Here you go: https://drive.google.com/file/d/1hQMAwR ... sp=sharing

Cheers
Silence is golden, but duct tape is silver...

Post Reply